net.corda.node.services.network

## Class NetworkMapService.Companion

- net.corda.node.services.network.NetworkMapService.Companion

- Enclosing interface:
    NetworkMapService

      public static class NetworkMapService.Companion

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.time.Period` | `getDEFAULT_EXPIRATION_PERIOD()`
    `java.lang.String` | `getFETCH_TOPIC()`
    `org.slf4j.Logger` | `getLogger()`
    `java.lang.String` | `getPUSH_ACK_TOPIC()`
    `java.lang.String` | `getPUSH_TOPIC()`
    `java.lang.String` | `getQUERY_TOPIC()`
    `java.lang.String` | `getREGISTER_TOPIC()`
    `java.lang.String` | `getSUBSCRIPTION_TOPIC()`
    `ServiceType` | `getType()`

- - ### Method Detail

    - #### getDEFAULT_EXPIRATION_PERIOD

          public java.time.Period getDEFAULT_EXPIRATION_PERIOD()

    - #### getFETCH_TOPIC

          public java.lang.String getFETCH_TOPIC()

    - #### getQUERY_TOPIC

          public java.lang.String getQUERY_TOPIC()

    - #### getREGISTER_TOPIC

          public java.lang.String getREGISTER_TOPIC()

    - #### getSUBSCRIPTION_TOPIC

          public java.lang.String getSUBSCRIPTION_TOPIC()

    - #### getPUSH_TOPIC

          public java.lang.String getPUSH_TOPIC()

    - #### getPUSH_ACK_TOPIC

          public java.lang.String getPUSH_ACK_TOPIC()

    - #### getLogger

          public org.slf4j.Logger getLogger()

    - #### getType

          public ServiceType getType()